zookeeper-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benjamin Jaton <benjamin.ja...@gmail.com>
Subject The current epoch, 1, is older than the last zxid, 8589935882
Date Thu, 23 Jun 2016 17:36:57 GMT
Hello, I am running 3.5.0-alpha (1 node) and I sometimes have those:

2016-06-23T00:12:23,642 [myid:1] - FATAL
[Thread-2:ZooKeeperServerWrapper$2@271] - ZK server thread has exited with
an exception
java.lang.RuntimeException: Unable to run quorum server
    at
org.apache.zookeeper.server.quorum.QuorumPeer.loadDataBase(QuorumPeer.java:769)
~[zookeeper-3.5.0-alpha.jar:?]
    at
org.apache.zookeeper.server.quorum.QuorumPeer.start(QuorumPeer.java:718)
~[zookeeper-3.5.0-alpha.jar:?]
    at
org.apache.zookeeper.server.quorum.QuorumPeerMain.runFromConfig(QuorumPeerMain.java:183)
~[zookeeper-3.5.0-alpha.jar:?]
    at
org.apache.zookeeper.server.quorum.QuorumPeerMain.initializeAndRun(QuorumPeerMain.java:120)
~[zookeeper-3.5.0-alpha.jar:?]
    at
org.apache.zookeeper.server.quorum.RLIQuorumPeerMain.main(RLIQuorumPeerMain.java:20)
~[rli_shared.jar:?]
Caused by: java.io.IOException: The current epoch, 1, is older than the
last zxid, 8589935882
    at
org.apache.zookeeper.server.quorum.QuorumPeer.loadDataBase(QuorumPeer.java:750)
~[zookeeper-3.5.0-alpha.jar:?]
    ... 5 more

I think it happens after a restart of the machine.

I have noticed
https://issues.apache.org/jira/browse/ZOOKEEPER-1653
https://issues.apache.org/jira/browse/ZOOKEEPER-1747
but those are for 3.4

Then I see this one:
https://issues.apache.org/jira/browse/ZOOKEEPER-1549
which seems to be for the 3.5 branch.

Is it correct that ZOOKEEPER-1549 this can happen with a single node?

Thanks
Benjamin

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message